Skip to content

Email Addresses API

Manage email honeypot addresses.

List Honeypots

GET /v1/honeypots

Parameters: - page (integer): Page number - limit (integer): Items per page (max 100) - status (string): Filter by status (active, inactive, pending, suspended) - purpose (string): Filter by purpose - sort (string): Sort field

Example:

curl -X GET "https://api.smailander.com/v1/honeypots?status=active&limit=25" \
  -H "Authorization: Bearer YOUR_API_KEY"

Response:

{
  "success": true,
  "data": [
    {
      "id": "honeypot_abc123",
      "email_address": "test@company.com",
      "purpose": "monitoring",
      "status": "active",
      "created_at": "2026-03-12T14:30:15Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 25,
    "total": 47
  }
}

Create Honeypot

POST /v1/honeypots

Request Body:

{
  "email_address": "test@company.com",
  "purpose": "monitoring",
  "description": "Test honeypot",
  "category": "general",
  "priority": "medium",
  "tags": ["testing"],
  "alerts": {
    "enabled": true,
    "threat_threshold": 70
  }
}

Example:

curl -X POST https://api.smailander.com/v1/honeypots \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "email_address": "test@company.com",
    "purpose": "monitoring"
  }'

Get Honeypot Details

GET /v1/honeypots/{id}

Example:

curl -X GET https://api.smailander.com/v1/honeypots/honeypot_abc123 \
  -H "Authorization: Bearer YOUR_API_KEY"

Update Honeypot

PATCH /v1/honeypots/{id}

Request Body:

{
  "description": "Updated description",
  "status": "active",
  "alerts": {
    "threat_threshold": 80
  }
}

Delete Honeypot

DELETE /v1/honeypots/{id}

Bulk Operations

See API Overview for bulk operations.

Support